Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.TreeTools
Class GenericIconDescriptor

    java.lang.Object
      madkit.TreeTools.GenericIconDescriptor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Direct Known Subclasses:
  DirIconDescriptor, FileIconDescriptor

    public class GenericIconDescriptor

extends java.lang.Object
implements java.awt.event.ActionListener

Constructor Summary
`GenericIconDescriptor()`
`GenericIconDescriptor(java.lang.String im)`
`GenericIconDescriptor(java.lang.String im, java.lang.String[][] commands)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ev)`
`void` | `addCommand(java.lang.String item, java.lang.String action)`
`java.lang.Object` | `getArg()`
`javax.swing.ImageIcon` | `getImage()`
`javax.swing.ImageIcon` | `getImage(java.io.File f)`
`javax.swing.JPopupMenu` | `getPopup()`
`void` | `setArg(java.lang.Object arg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericIconDescriptor

    public GenericIconDescriptor()

### GenericIconDescriptor

    public GenericIconDescriptor(java.lang.String im)

### GenericIconDescriptor

    public GenericIconDescriptor(java.lang.String im,
                                 java.lang.String[][] commands)

Method Detail

### getImage

    public javax.swing.ImageIcon getImage()

### getImage

    public javax.swing.ImageIcon getImage(java.io.File f)

### getPopup

    public javax.swing.JPopupMenu getPopup()

### getArg

    public java.lang.Object getArg()

### setArg

    public void setArg(java.lang.Object arg)

### addCommand

    public void addCommand(java.lang.String item,
                           java.lang.String action)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ev)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.